import { EventClient } from '../event/event-client';
import { DispatcherClient } from '../dispatcher/dispatcher-client';
import { AdminClient } from '../admin/admin-client';
import { ChannelCredentials } from 'nice-grpc';
import { Workflow as V0Workflow } from '../../workflow';
import { V0Worker, WorkerOpts } from '../worker';
import { AxiosRequestConfig } from 'axios';
import { Logger } from '../../util/logger';
import { RunsClient } from '../../v1';
import { ClientConfig } from './client-config';
import { RunListenerClient } from '../listeners/run-listener/child-listener-client';
import { Api } from '../rest/generated/Api';
import { CronClient } from './features/cron-client';
import { ScheduleClient } from './features/schedule-client';
import { DurableListenerClient } from '../listeners/durable-listener/durable-listener-client';
export interface HatchetClientOptions {
    config_path?: string;
    credentials?: ChannelCredentials;
}
export declare class LegacyHatchetClient {
    config: ClientConfig;
    credentials: ChannelCredentials;
    event: EventClient;
    dispatcher: DispatcherClient;
    admin: AdminClient;
    api: Api;
    runs: RunsClient | undefined;
    listener: RunListenerClient;
    tenantId: string;
    durableListener: DurableListenerClient;
    logger: Logger;
    cron: CronClient;
    schedule: ScheduleClient;
    constructor(config?: Partial<ClientConfig>, options?: HatchetClientOptions, axiosOpts?: AxiosRequestConfig, runs?: RunsClient);
    static init(config?: Partial<ClientConfig>, options?: HatchetClientOptions, axiosConfig?: AxiosRequestConfig): LegacyHatchetClient;
    run(workflow: string | V0Workflow): Promise<V0Worker>;
    worker(workflow: string | V0Workflow, opts?: Omit<WorkerOpts, 'name'> | number): Promise<V0Worker>;
    webhooks(workflows: Array<V0Workflow>): import("../worker/handler").WebhookHandler;
}
